For the complete documentation index, see llms.txt. This page is also available as Markdown.

Directory API

get

Retrieve people by filters or identifiers.

Authorizations
x-api-keystringRequired
Query parameters
people_idstringOptional

Optional ID of the person to retrieve.

external_idstringOptional

Optional external ID to filter people.

emailstringOptional

Optional email to filter people.

first_namestringOptional

Optional first name to filter people.

last_namestringOptional

Optional last name to filter people.

skipintegerOptional

Number of items to skip for pagination.

Default: 0
limitintegerOptional

Maximum number of items to return.

Default: 25
sortstringOptional

Field to sort by.

orderstring · enumOptional

Sort order, 'asc' or 'desc'.

Default: ascPossible values:
Header parameters
x-configuration-idstringOptional

Optional configuration/scenario key. When omitted, the default configuration is used (configuration_id is null).

Responses
200

OK

application/json
successbooleanRequired
identifierstringRequired
get/people
GET /directory/v1/people HTTP/1.1
Host: api.gospace.app
x-api-key: YOUR_API_KEY
Accept: */*
{
  "success": true,
  "data": {
    "people": [
      {
        "_id": "text",
        "people_id": "text",
        "first_name": "text",
        "last_name": "text",
        "email": "text",
        "country": "text",
        "default_location": {
          "location_id": "text",
          "location_name": "text"
        },
        "default_team": {
          "team_id": "text",
          "team_name": "text",
          "assigned_at": "2026-01-01T00:00:00.000Z",
          "type": "text"
        },
        "default_preferences": [
          {
            "label_id": "text",
            "label_name": "text"
          }
        ],
        "linked_locations": [
          "text"
        ],
        "priority_locations": [
          {
            "location_id": "text",
            "location_name": "text"
          }
        ],
        "external_ids": [
          "text"
        ],
        "teams": [
          {
            "team_id": "text",
            "team_name": "text",
            "assigned_at": "2026-01-01T00:00:00.000Z",
            "type": "text"
          }
        ],
        "settings": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "override_settings": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "default_connection": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ]
  },
  "pagination": {
    "current_results": {
      "from": 1,
      "to": 1
    },
    "total_results": 1
  },
  "identifier": "text"
}
post

Create multiple people in a single request.

Authorizations
x-api-keystringRequired
Header parameters
x-configuration-idstringOptional

Optional configuration/scenario key. When omitted, the default configuration is used (configuration_id is null).

Body
Responses
200

OK

application/json
successbooleanRequired
identifierstringRequired
post/people
POST /directory/v1/people HTTP/1.1
Host: api.gospace.app
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 444

{
  "people": [
    {
      "email": "text",
      "first_name": "text",
      "last_name": "text",
      "country": "text",
      "external_ids": [
        "text"
      ],
      "default_location": "text",
      "default_team": "text",
      "default_preferences": [
        "text"
      ],
      "priority_locations": [
        "text"
      ],
      "preferences": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "personal_settings": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "teams": [
        "text"
      ],
      "address": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "coords": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  ]
}
{
  "success": true,
  "data": [
    {
      "_id": "text",
      "people_id": "text",
      "first_name": "text",
      "last_name": "text",
      "email": "text",
      "country": "text",
      "default_location": {
        "location_id": "text",
        "location_name": "text"
      },
      "default_team": {
        "team_id": "text",
        "team_name": "text",
        "assigned_at": "2026-01-01T00:00:00.000Z",
        "type": "text"
      },
      "default_preferences": [
        {
          "label_id": "text",
          "label_name": "text"
        }
      ],
      "linked_locations": [
        "text"
      ],
      "priority_locations": [
        {
          "location_id": "text",
          "location_name": "text"
        }
      ],
      "external_ids": [
        "text"
      ],
      "teams": [
        {
          "team_id": "text",
          "team_name": "text",
          "assigned_at": "2026-01-01T00:00:00.000Z",
          "type": "text"
        }
      ],
      "settings": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "override_settings": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "default_connection": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  ],
  "identifier": "text"
}
put

Update multiple existing people by their IDs.

Authorizations
x-api-keystringRequired
Header parameters
x-configuration-idstringOptional

Optional configuration/scenario key. When omitted, the default configuration is used (configuration_id is null).

Body
Responses
200

OK

application/json
successbooleanRequired
identifierstringRequired
put/people
PUT /directory/v1/people HTTP/1.1
Host: api.gospace.app
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 632

{
  "people": [
    {
      "people_id": "text",
      "email": "text",
      "first_name": "text",
      "last_name": "text",
      "country": "text",
      "external_ids": [
        "text"
      ],
      "default_location": "text",
      "default_team": "text",
      "default_preferences": [
        "text"
      ],
      "priority_locations": [
        "text"
      ],
      "preferences": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "personal_settings": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "teams": [
        "text"
      ],
      "address": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "coords": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "settings": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "override_settings": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "default_connection": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  ]
}
{
  "success": true,
  "data": [
    {
      "_id": "text",
      "people_id": "text",
      "first_name": "text",
      "last_name": "text",
      "email": "text",
      "country": "text",
      "default_location": {
        "location_id": "text",
        "location_name": "text"
      },
      "default_team": {
        "team_id": "text",
        "team_name": "text",
        "assigned_at": "2026-01-01T00:00:00.000Z",
        "type": "text"
      },
      "default_preferences": [
        {
          "label_id": "text",
          "label_name": "text"
        }
      ],
      "linked_locations": [
        "text"
      ],
      "priority_locations": [
        {
          "location_id": "text",
          "location_name": "text"
        }
      ],
      "external_ids": [
        "text"
      ],
      "teams": [
        {
          "team_id": "text",
          "team_name": "text",
          "assigned_at": "2026-01-01T00:00:00.000Z",
          "type": "text"
        }
      ],
      "settings": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "override_settings": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "default_connection": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  ],
  "identifier": "text"
}
delete

Delete multiple people by their IDs.

Authorizations
x-api-keystringRequired
Header parameters
x-configuration-idstringOptional

Optional configuration/scenario key. When omitted, the default configuration is used (configuration_id is null).

Body
Responses
200

OK

application/json
successbooleanRequired
identifierstringRequired
delete/people
DELETE /directory/v1/people HTTP/1.1
Host: api.gospace.app
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 33

{
  "people": [
    {
      "people_id": "text"
    }
  ]
}
{
  "success": true,
  "data": {
    "deleted_people": [
      "text"
    ],
    "master_user_not_deleted": "text"
  },
  "identifier": "text"
}
get

Retrieve teams with optional filters.

Authorizations
x-api-keystringRequired
Query parameters
team_idstringOptional
external_idstringOptional
namestringOptional
include_membersstring · enumOptional

Whether to include team members in the response.

Default: falsePossible values:
skipintegerOptionalDefault: 0
limitintegerOptionalDefault: 25
sortstringOptional
orderstring · enumOptionalDefault: ascPossible values:
Header parameters
x-configuration-idstringOptional

Optional configuration/scenario key. When omitted, the default configuration is used (configuration_id is null).

Responses
200

OK

application/json
successbooleanRequired
identifierstringRequired
get/teams
GET /directory/v1/teams HTTP/1.1
Host: api.gospace.app
x-api-key: YOUR_API_KEY
Accept: */*
{
  "success": true,
  "data": {
    "teams": [
      {
        "_id": "text",
        "team_id": "text",
        "name": "text",
        "color": "text",
        "default_location": {
          "location_id": "text",
          "location_name": "text"
        },
        "team_type": "text",
        "linked_locations": [
          "text"
        ],
        "hierarchy": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "external_id": "text",
        "people": [
          {
            "_id": "text",
            "people_id": "text",
            "first_name": "text",
            "last_name": "text",
            "email": "text",
            "external_ids": [
              "text"
            ],
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        ],
        "total_people": 1,
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ]
  },
  "pagination": {
    "current_results": {
      "from": 1,
      "to": 1
    },
    "total_results": 1
  },
  "identifier": "text"
}
post

Create multiple teams in a single request.

Authorizations
x-api-keystringRequired
Header parameters
x-configuration-idstringOptional

Optional configuration/scenario key. When omitted, the default configuration is used (configuration_id is null).

Body
Responses
200

OK

application/json
successbooleanRequired
identifierstringRequired
post/teams
POST /directory/v1/teams HTTP/1.1
Host: api.gospace.app
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 161

{
  "teams": [
    {
      "name": "text",
      "color": "text",
      "default_location": {
        "location_id": "text",
        "location_name": "text"
      },
      "external_id": "text",
      "members": [
        {
          "people_id": "text"
        }
      ]
    }
  ]
}
{
  "success": true,
  "data": [
    {
      "_id": "text",
      "team_id": "text",
      "name": "text",
      "color": "text",
      "default_location": {
        "location_id": "text",
        "location_name": "text"
      },
      "team_type": "text",
      "linked_locations": [
        "text"
      ],
      "hierarchy": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "external_id": "text",
      "people": [
        {
          "_id": "text",
          "people_id": "text",
          "first_name": "text",
          "last_name": "text",
          "email": "text",
          "external_ids": [
            "text"
          ],
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      ],
      "total_people": 1,
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  ],
  "identifier": "text"
}
put

Update multiple existing teams by their IDs.

Authorizations
x-api-keystringRequired
Header parameters
x-configuration-idstringOptional

Optional configuration/scenario key. When omitted, the default configuration is used (configuration_id is null).

Body
Responses
200

OK

application/json
successbooleanRequired
identifierstringRequired
put/teams
PUT /directory/v1/teams HTTP/1.1
Host: api.gospace.app
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 145

{
  "teams": [
    {
      "team_id": "text",
      "name": "text",
      "color": "text",
      "default_location": {
        "location_id": "text",
        "location_name": "text"
      },
      "external_id": "text"
    }
  ]
}
{
  "success": true,
  "data": [
    {
      "_id": "text",
      "team_id": "text",
      "name": "text",
      "color": "text",
      "default_location": {
        "location_id": "text",
        "location_name": "text"
      },
      "external_id": "text"
    }
  ],
  "identifier": "text"
}
delete

Delete multiple teams by their IDs.

Authorizations
x-api-keystringRequired
Header parameters
x-configuration-idstringOptional

Optional configuration/scenario key. When omitted, the default configuration is used (configuration_id is null).

Body
Responses
200

OK

application/json
successbooleanRequired
identifierstringRequired
delete/teams
DELETE /directory/v1/teams HTTP/1.1
Host: api.gospace.app
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 30

{
  "teams": [
    {
      "team_id": "text"
    }
  ]
}
{
  "success": true,
  "data": {
    "deleted_teams": [
      "text"
    ]
  },
  "identifier": "text"
}
get

Retrieve team members with optional filters.

Authorizations
x-api-keystringRequired
Path parameters
team_idstringRequired
Query parameters
people_idstringOptional
emailstringOptional
first_namestringOptional
last_namestringOptional
external_idstringOptional
skipintegerOptionalDefault: 0
limitintegerOptionalDefault: 25
sortstringOptionalDefault: first_name
orderstring · enumOptionalDefault: ascPossible values:
Header parameters
x-configuration-idstringOptional

Optional configuration/scenario key. When omitted, the default configuration is used (configuration_id is null).

Responses
200

OK

application/json
successbooleanRequired
identifierstringRequired
get/teams/{team_id}/members
GET /directory/v1/teams/{team_id}/members HTTP/1.1
Host: api.gospace.app
x-api-key: YOUR_API_KEY
Accept: */*
{
  "success": true,
  "data": {
    "members": [
      {
        "_id": "text",
        "people_id": "text",
        "first_name": "text",
        "last_name": "text",
        "email": "text",
        "external_ids": [
          "text"
        ],
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ]
  },
  "pagination": {
    "current_results": {
      "from": 1,
      "to": 1
    },
    "total_results": 1
  },
  "identifier": "text"
}
put

Add members to a team.

Authorizations
x-api-keystringRequired
Path parameters
team_idstringRequired
Header parameters
x-configuration-idstringOptional

Optional configuration/scenario key. When omitted, the default configuration is used (configuration_id is null).

Body
Responses
200

OK

application/json
successbooleanRequired
identifierstringRequired
put/teams/{team_id}/members
PUT /directory/v1/teams/{team_id}/members HTTP/1.1
Host: api.gospace.app
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 34

{
  "members": [
    {
      "people_id": "text"
    }
  ]
}
{
  "success": true,
  "data": {
    "members_added": [
      "text"
    ]
  },
  "identifier": "text"
}
delete

Remove members from a team.

Authorizations
x-api-keystringRequired
Path parameters
team_idstringRequired
Header parameters
x-configuration-idstringOptional

Optional configuration/scenario key. When omitted, the default configuration is used (configuration_id is null).

Body
Responses
200

OK

application/json
successbooleanRequired
identifierstringRequired
delete/teams/{team_id}/members
DELETE /directory/v1/teams/{team_id}/members HTTP/1.1
Host: api.gospace.app
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 34

{
  "members": [
    {
      "people_id": "text"
    }
  ]
}
{
  "success": true,
  "data": {
    "members_removed": [
      "text"
    ]
  },
  "identifier": "text"
}

Last updated